{% extends 'base.html.twig' %}

{% block title %}Something Good{% endblock %}

{% block body %}
    <div>
        <div class="container" style="padding-top: 5%">
            <div class="row">
                {{ form_start(publicationForm) }}
                <div class="input-field">
                    {{ form_row(publicationForm.content) }}
                </div>
                <div class="input-field right-align">
                    <button class="waves-effect waves-light btn-large" type="submit">
                        Publier
                    </button>
                </div>
                {{ form_end(publicationForm) }}
            </div>
            <div class="row">
                {% set i = 0 %}
                {% for publi in publications %}
                    {% set i = i+1 %}

                    <div class="card">
                        <div class="card-content">
                            <div class="row">
                                <div class="col s6 left-align">Par {{ publi.user.username }} le {{ publi.creationDate.format("d/m/Y à H:i") }}</div>
                                <div class="col s6 right-align">
                                    <form method="post" action="{{ path('like_publication', { 'id' : publi.id }) }}">
                                        <button class="btn">
                                                {% if app.user in publi.likes %}
                                                    <i class="material-icons">star</i>
                                                {% else %}
                                                    <i class="material-icons">star_border</i>
                                                {% endif %}
                                        </button>
                                    </form>
                                </div>
                            </div>
                            <hr>
                            <div style="padding: 2%">
                                {{ publi.content }}
                            </div>
                        </div>
                        <ul class="collapsible">
                            <li>
                                <div class="collapsible-header row"><i class="material-icons"></i>Commentaires</div>
                                <div class="collapsible-body">
                                    <div class="input-field">
                                        {{ form_start(commentForm[publi.id ]) }}
                                        <div class="row">
                                            <div class="col s10">{{ form_row(commentForm[publi.id].content) }}</div>
                                            <div class="col s2">
                                                <button class="waves-effect waves-light btn">
                                                    <i class="material-icons">send</i>
                                                </button>
                                            </div>
                                        </div>
                                        {{ form_end(commentForm[publi.id]) }}
                                    </div>
                                    <hr>
                                    {% for comment in publi.comments %}
                                        {{ comment.user}} : {{ comment.content }}
                                    {% endfor %}
                                </div>
                            </li>
                        </ul>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>



{% endblock %}
